package fr.iut.pm.movieapplication.repository

import android.util.Log
import fr.iut.pm.movieapplication.api.RetrofitInstance
import fr.iut.pm.movieapplication.network.dtos.PopularDTO
import fr.iut.pm.movieapplication.utils.Constants.Companion.API_KEY
import kotlinx.coroutines.flow.Flow
import retrofit2.Call
import retrofit2.Callback
import retrofit2.Response

class PopularRepository() {

    suspend fun getPopular(): PopularDTO? {

        lateinit var popularDTO : PopularDTO
        RetrofitInstance.api.getPopularMovies(API_KEY).enqueue(object : Callback<PopularDTO> {
            override fun onResponse(call: Call<PopularDTO>, response: Response<PopularDTO>) {
                if (response.isSuccessful) {
                    Log.d("RESPONSE ::", response.body()?.page.toString())
                    popularDTO = response.body()!!
                }
            }

            override fun onFailure(call: Call<PopularDTO>, t: Throwable) {
                TODO("Not yet implemented")
            }


        })
        return popularDTO
    }
}